<template>
  <Component :is="tag">
    <slot />
  </Component>
</template>

<script>
export default {
  name: 'Heading',

  props: {
    /**
     * The level of the heading.
     */
    level: {
      type: Number,
      default: 2,
      validator (value) {
        return (
          1 <= value <= 6 &&
          Number.isInteger(value) === true
        )
      }
    }
  },

  computed: {
    tag () {
      return `h${this.level}`
    }
  }
}
</script>
